﻿@using System.Threading;
@using SYM.SearchEngine.MvcApp.Helpers
<!DOCTYPE html>
<!--[if IE 8]> <html lang="en" class="ie8 no-js"> <![endif]-->
<!--[if IE 9]> <html lang="en" class="ie9 no-js"> <![endif]-->
<!--[if !IE]><!-->
<html lang="@(Thread.CurrentThread.CurrentCulture)" class="no-js">
<!--<![endif]-->
<!-- BEGIN HEAD -->
<head>
    <meta charset="utf-8" />
    <title>@ViewBag.Title | ShareYourMountain (Beta)</title>
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta content="width=device-width, initial-scale=1" name="viewport" />
    @RenderSection("ExtraHeadContent", required: false)
    <!-- BEGIN GLOBAL MANDATORY STYLES & PAGE LEVEL PLUGIN STYLES -->
    <link href="http://fonts.googleapis.com/css?family=Open+Sans:400,300,600,700&subset=all" rel="stylesheet" type="text/css" />
    <link href="~/Content/themes/m1/assets/global/plugins/font-awesome/css/font-awesome.min.css" rel="stylesheet" type="text/css">
    <link href="~/Content/themes/m1/assets/global/plugins/simple-line-icons/simple-line-icons.min.css" rel="stylesheet" type="text/css">
    <link href="~/Content/themes/m1/assets/global/plugins/socicon/socicon.css" rel="stylesheet" type="text/css" />
    @Styles.Render("~/content/themes/m1/global/css")
    @RenderSection("customCss4Page", required: false)
    <!-- END GLOBAL MANDATORY STYLES & PAGE LEVEL PLUGIN STYLES -->
    <!-- BEGIN THEME STYLES -->
    @Styles.Render("~/content/themes/m1/assets/layouts/4/css")
    <!-- END THEME STYLES -->
    @RenderSection("ExtraCssContent", required: false)
    <link href="~/Content/themes/m1/assets/global/plugins/bootstrap-select/css/bootstrap-select.min.css" rel="stylesheet" type="text/css" />
    <link rel="shortcut icon" href="/favicon.ico" />
    <script src="//cdnjs.cloudflare.com/ajax/libs/cookieconsent2/1.0.9/cookieconsent.min.js"></script>
    <script type="text/javascript">
        window.cookieconsent_options = { "message": "This website uses cookies to ensure you get the best experience", "dismiss": "Got it!", "learnMore": "More info", "link": "", "theme": "light-floating" };
    </script>
    <link type="text/css" rel="stylesheet" href="https://cdn.jsdelivr.net/jquery.jssocials/1.2.1/jssocials.css" />
    <link type="text/css" rel="stylesheet" href="https://cdn.jsdelivr.net/jquery.jssocials/1.2.1/jssocials-theme-flat.css" />
</head>
<!-- END HEAD -->
<!-- BEGIN BODY -->
<body class="page-header-fixed page-sidebar-closed-hide-logo page-sidebar-closed">
    <div id="fb-root"></div>
    <script>
        (function (d, s, id) {
            var js, fjs = d.getElementsByTagName(s)[0];
            if (d.getElementById(id)) return;
            js = d.createElement(s); js.id = id;
            js.src = "//connect.facebook.net/en_US/sdk.js#xfbml=1&version=v2.5&appId=619568898094643";
            fjs.parentNode.insertBefore(js, fjs);
        }(document, 'script', 'facebook-jssdk'));</script>
    <!-- BEGIN HEADER -->
    <div class="page-header navbar navbar-fixed-top">
        <!-- BEGIN HEADER INNER -->
        <div class="page-header-inner">
            <!-- BEGIN LOGO -->
            <div class="page-logo">
                <a href="@Url.Action("Index", "Home")">
                    <img src="~/Content/images/logo-txt.png" alt="logo" class="logo-default" width="170" />
                </a>
                <div class="menu-toggler sidebar-toggler">
                    <!-- DOC: Remove the above "hide" to enable the sidebar toggler button on header -->
                </div>
            </div>
            <!-- END LOGO -->
            <!-- BEGIN RESPONSIVE MENU TOGGLER -->
            <a href="javascript:;" class="menu-toggler responsive-toggler" data-toggle="collapse" data-target=".navbar-collapse">
            </a>
            <!-- END RESPONSIVE MENU TOGGLER -->
            <!-- BEGIN PAGE ACTIONS -->
            <div class="page-actions">
                <div class="btn-group logo-custom" style="padding-top: 5px; margin-right: 10px;">
                    <a href="@Url.Action("Index", "Home")">
                        <img src="~/Content/images/logo-txt.png" alt="logo" class="logo-default" width="170">
                    </a>
                </div>
                <div class="btn-group">
                    <button type="button" class="btn red-soft btn-sm dropdown-toggle" data-toggle="dropdown" data-hover="dropdown" data-close-others="true">
                        <span class="hidden-sm hidden-xs">@SYM.Localization.Resources.Global.Actions&nbsp;</span><i class="fa fa-angle-down"></i>
                    </button>
                    <ul class="dropdown-menu" role="menu">
                        @if (Request.IsAuthenticated)
                        {
                            <li>
                                <a class="" href="@Url.Action("Create", "Route")">
                                    <i class="icon-docs"></i>
                                    @SYM.Localization.Resources.Global.Actions_NewRoute
                                </a>
                            </li>
                            <li>
                                <a class="" href="@Url.Action("_UploadImage", "Mountain")" data-target="#myModal">
                                    <i class="fa fa-camera"></i> @SYM.Localization.Resources.Global.Actions_NewImage
                                </a>
                            </li>
                            <li>
                                <a class="" href="@Url.Action("_UploadImage", "Route")" data-target="#myModal">
                                    <i class="fa fa-camera-retro"></i> @SYM.Localization.Resources.Global.Actions_NewImageTopos
                                </a>
                            </li>
                            <li>
                                <a class="" href="@Url.Action("_Create", "Mountain")" data-target="#myModal">
                                    <i class="fa icon-docs"></i> @SYM.Localization.Resources.Global.Actions_NewMountain
                                </a>
                            </li>
                            <li id="action_addlink">
                                <a data-toggle="modal" href="#myModal_url">
                                    <i class="fa fa-link"></i> @SYM.Localization.Resources.Global.Actions_NewLink
                                </a>
                            </li>
                            @*<li id="action_trackgps">
                                <a data-toggle="modal" href="">
                                    <i class="fa fa-link"></i> New Track GPS
                                </a>
                            </li>*@
                        }
                        <li class="divider">
                        </li>
                        <li>
                            <a href="javascript:;">
                                <i class="icon-share"></i> Share
                            </a>
                        </li>
                    </ul>
                </div>
            </div>
            <!-- END PAGE ACTIONS -->
            <!-- BEGIN PAGE TOP -->
            <div class="page-top">
                <!-- BEGIN HEADER SEARCH BOX -->
                <!-- DOC: Apply "search-form-expanded" right after the "search-form" class to have half expanded search box -->
                @using (Html.BeginForm("search", "mountain", FormMethod.Post, new { @class = "search-form", role = "form" }))
                {
                    <div class="input-group">
                        <input type="text" class="form-control input-sm" placeholder="Search Mountain..." name="meta">
                        <input type="hidden" name="country" value="116">
                        <span class="input-group-btn">
                            <a href="javascript:;" class="btn submit"><i class="icon-magnifier"></i></a>
                        </span>
                    </div>
                }
                <!-- END HEADER SEARCH BOX -->
                @Html.Partial("/Views/Shared/Metr0n1c/Partial/_4.TopNav.cshtml")
            </div>
            <!-- END PAGE TOP -->
        </div>
        <!-- END HEADER INNER -->
    </div>
    <!-- END HEADER -->
    <div class="clearfix">
    </div>
    <!-- BEGIN CONTAINER -->
    <div class="page-container">
        @Html.Partial("/Views/Shared/Metr0n1c/Partial/_4.SideBar.cshtml")
        <!-- BEGIN CONTENT -->
        <div class="page-content-wrapper">
            <div class="page-content">
                <!-- BEGIN PAGE HEAD -->
                <div class="page-head hide">
                    <!-- BEGIN PAGE TITLE -->
                    <div class="page-title">
                        <h1>@ViewBag.Title <small></small></h1>
                    </div>
                    <!-- END PAGE TITLE -->
                </div>
                <!-- END PAGE HEAD -->
                <!-- BEGIN PAGE BREADCRUMB -->
                @if(!String.IsNullOrEmpty(ViewBag.Page))
                {
                    <ul class="page-breadcrumb breadcrumb">
                        <li>
                            <a href="@Url.Action("index", "home")">Home</a><i class="fa fa-circle"></i>
                        </li>
                        @Html.Raw(ViewBag.Breadcrumb)
                        <li class="active">
                            @ViewBag.Page
                        </li>
                    </ul>
                }
                <!-- END PAGE BREADCRUMB -->
                @RenderBody()            
            </div>
        </div>
        <!-- END CONTENT -->
    </div>
    <!-- END CONTAINER -->
    <!-- BEGIN FOOTER -->
    <div class="page-footer">
        <p class="footer-links" style="margin: 0 0 5px;">
            <a href='@Url.Action("index","home")'>Home</a>
            |
            <a href='@Url.Action("index","project")'>@SYM.Localization.Resources.Global.Footer_Project</a>
            |
            <a href="/it/privacy">Privacy</a>
            |
            <a href="@Url.Action("contact","home")">@SYM.Localization.Resources.Global.Footer_Contact</a>
        </p>
        <div class="page-footer-inner" style="padding-bottom: 10px;">
            <strong>2016 &#174; ShareYourMountain.</strong> All rights reserved.
        </div>
        <div class="page-footer-inner" style="padding-bottom: 10px;margin-left: 10px;">
            <div class="fb-like" data-href="https://www.facebook.com/shareyourmountain/" data-layout="button_count" data-action="like" data-show-faces="false" data-share="false"></div>
        </div>
        <div class="scroll-to-top">
            <i class="icon-arrow-up"></i>
        </div>
    </div>
    <!-- END FOOTER -->
    <!-- BEGIN JAVASCRIPTS(Load javascripts at bottom, this will reduce page load time) -->
    <!-- BEGIN CORE PLUGINS -->
    <!--[if lt IE 9]>
    <script src="~/Content/themes/m1/assets/global/plugins/respond.min.js" ></script>
    <script src="~/Content/themes/m1/assets/global/plugins/excanvas.min.js"></script>
    <![endif]-->
    @Scripts.Render("~/content/themes/m1/assets/core/js")
    <script src="https://maps.googleapis.com/maps/api/js?v=3&libraries=places&key=AIzaSyCxuSsvbQNQuO41Bkzq5XyG3lqy1k814e0"></script>
    <script src="~/Content/themes/m1/assets/global/plugins/gmaps/gmaps.js" type="text/javascript"></script>
    <!-- END CORE PLUGINS -->
    <!-- BEGIN THEME GLOBAL SCRIPTS -->
    <script src="~/Content/themes/m1/assets/global/scripts/app.min.js" type="text/javascript"></script>
    <script src="~/Content/themes/m1/assets/global/scripts/datatable.min.js" type="text/javascript"></script>
    <script src="~/Content/themes/sleek/js/bootstrap-multiselect/bootstrap-multiselect.min.js"></script>
    <!--END THEME GLOBAL SCRIPTS -->
    @RenderSection("ExtraPluginJS", required: false)
    <!-- BEGIN PAGE LEVEL SCRIPTS -->
    <script type="text/javascript" src="https://cdn.jsdelivr.net/jquery.jssocials/1.2.1/jssocials.min.js"></script>
    @RenderSection("ExtraPageJS", required: false)
    <!-- END PAGE LEVEL SCRIPTS -->
    <!-- BEGIN THEME LAYOUT SCRIPTS -->
    @Scripts.Render("~/content/themes/m1/assets/layouts/js")
    <!-- END THEME LAYOUT SCRIPTS -->
    <script src="~/scripts/jquery.validate.js" type="text/javascript"></script>
    <script src="~/scripts/jquery.validate.unobtrusive.js" type="text/javascript"></script>
    <script src="~/scripts/jquery.unobtrusive-ajax.min.js" type="text/javascript"></script>
    <script>
        jQuery(document).ready(function () {
            @RenderSection("ScriptOnReady", false)

            $("a[data-target=#myModal]").click(function (ev) {
                ev.preventDefault();
                var target = $(this).attr("href");
                $("#modal-body").html("");
                $("#modal-body").load(target, function () {
                    $("#myModal").modal("show");
                });
            });

            $("#myModal_submit").click(function () {
               $("#formModal").submit();
            });
        });
    </script>
    @RenderSection("scripts", required: false)
    @if (!Html.IsDebug())
    {
        @Html.Partial("_googleAnalytics")
        @*@Html.Partial("_feedbackDoorbell")*@
    }
    <!-- END JAVASCRIPTS -->
    @Html.Partial("_modalContainer")
    <link href=”https://plus.google.com/113020509386415423821” rel=”publisher” />
</body>
<!-- END BODY -->
</html>